/* You can add global styles to this file, and also import other style files */
@import url("https://fonts.googleapis.com/css?family=Roboto:400,700|Material+Icons");
@import "~@spartacus/styles/index";
@import "@angular/material/prebuilt-themes/indigo-pink.css";
@import "~@angular/material/prebuilt-themes/deeppurple-amber.css";
@import "./assets/css/constants.scss";

a {
  text-decoration: none !important;
}
.no-margin {
  margin: 0 !important;
}
.no-padding {
  padding: 0 !important;
}

.swal2-html-container {
  // color: #a7f108 !important;
  color: $PRIMARY_WHITE !important;
  font: bold;
}

.swal2-popup {
  background: $SANED_BTN_PRIMARY !important;
}

@media print {
  html,
  body {
    height: 100vh;
    margin: 0 !important;
    padding: 0 !important;
    overflow: hidden;
  }
  print:last-child {
    page-break-after: auto;
  }
  html,
  body {
    height: 99%;
  }
  loader-container,
  .hide-print-screen,
  .admin-nav-container,
  .setup-list,
  .header-label,
  .filter-chart,
  .filter-container,
  .print-btn,
  .inventory-container {
    display: none !important;
  }
  .print-screen,
  history-print-container {
    display: block !important;
  }
  .history-container {
    position: absolute;
    top: 0;
    left: 20%;
    table,
    mat-paginator {
      width: 100%;
      margin: 0 auto;
      td {
        padding: 10px !important;
      }
    }
    .button-container,
    .cancel-btn {
      display: none;
    }
  }
}

.ServicesTitle {
  text-align: left !important;
  color: #000;
  padding-left: 15px;
  font-size: 14px !important;
  img {
    width: 30px;
    height: 30px;
  }
}
button {
  align-items: center;
  outline: none !important;
}
.button {
  color: $PRIMARY_WHITE !important;
  font-size: 20px;
  font-weight: 400;
  height: 48px;
  max-height: 48px;
  margin: 20px auto;
  display: flex;
  width: 300px;
  justify-content: center;
  outline: none !important;
  align-items: center;
  &:disabled {
    opacity: 0.6;
  }
}
.button-grp {
  display: flex;
  justify-content: space-evenly;
}
.button-primary {
  @extend .button;
  background-color: $SANED_BTN_PRIMARY !important;
  border-color: $SANED_BTN_PRIMARY !important;
}
.button-secondary {
  @extend .button;
  background-color: $SANED_BTN_SECONDARY !important;
}
.mat-form-field.mat-focused .mat-form-field-ripple {
  background-color: $SANED_PRIMARY-COLOR !important;
}
.mat-form-field.mat-focused .mat-form-field-label {
  color: $SANED_PRIMARY-COLOR !important;
}

.add-icon {
  width: 100%;
  justify-content: center;
  align-items: center;
  display: flex;
  button {
    color: $PRIMARY_WHITE !important;
    background-color: $SANED_BTN_SECONDARY !important;
    margin: 0 10px;
    outline: none !important;
  }
}
.remove-icon button {
  background-color: rgb(212, 69, 69) !important;
  color: $PRIMARY_WHITE !important;
  outline: none !important;
}
.carousel-item {
  height: auto !important;
}
.mat-dialog-container {
  padding: 0 !important;
}

.swal2-header {
  .swal2-close {
    position: absolute !important;
    padding-bottom: 6px !important;
  }
}

.swal2-content {
  padding-left: 5px !important;
  padding-top: 5px;
}

.swal2-popup.swal2-toast {
  flex-direction: row !important;
  align-items: center !important;
}

.swal2-popup {
  padding-top: 15px !important;
}

.setup-list {
  background: white;
  display: flex;
  justify-content: center;
  ul {
    margin: 0;
    max-width: 820px;
    list-style: none;
    padding: 0;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
    li {
      cursor: pointer;
      display: flex;
      height: 175px;
      margin: 0 30px;
      width: 160px;
      justify-content: center;
      align-items: center;
      padding: 10px;
      border-bottom: 5px solid transparent;
      border-radius: 0;
      &:hover {
        border-bottom: 5px solid $SANED_BTN_PRIMARY;
      }
      img,
      .title {
        transition: transform ease 0.5s;
      }
      span {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        color: $PRIMARY_WHITE;
        span {
          color: $SANED_PRIMARY-COLOR;
          font-size: 14px;
          padding-top: 20px;
          text-align: center;
        }
      }
      .image-container {
        height: 85px;
        width: 85px;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 50px;
        background: #ecf1f5;
        padding: 15px;
        img {
          max-width: 40px;
          max-height: 65px;
        }
        i {
          color: #2c6fb6;
          font-size: 30px;
        }
      }
    }
  }
  .active-bar {
    border-bottom: 5px solid $SANED_BTN_PRIMARY !important;
  }
}
.sub-category {
  max-width: 712px;
  margin: 50px auto;
  @media only screen and (max-width: 900px) {
    max-width: 534px;
  }
  @media only screen and (max-width: 734px) {
    max-width: 356px
  }
  @media only screen and (max-width: 547px) {
    max-width: 356px
  }
  ul {
    padding: 0;
    background: white;
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    li {
      height: 178px;
      width: 178px;
      border-right: 1px solid #e6eaed;
      border-bottom: 1px solid #e6eaed;
      display: flex;
      justify-content: center;
      flex-direction: column;
      align-items: center;
      &:hover {
        background: #e6eaed;
      }
      .sublist-content {
        position: relative;
        display: flex;
        flex-direction: column;
        height: 100%;
        justify-content: flex-end;
        align-items: center;
        bottom: 0;
        img {
          position: absolute;
          top: 35%;
          width: 45px;
          max-height: 50px;
        }
        span {
          margin-bottom: 21px;
          text-align: center;
          font-size: 11.5px;
          font-weight: 500;
          padding: 0 10px;
          height: 36px;
        }
      }
    }
    .subcat-active-bar {
      background: $SANED_BTN_PRIMARY;
      color: $PRIMARY_WHITE;
      &:hover {
        background: $SANED_BTN_PRIMARY;
      color: $PRIMARY_WHITE;
      }
    }
  }
}
  mat-tab-header {
    border-bottom: 3px solid #e2e3e6;
  }
  .mat-ink-bar {
    height: 4px !important;
    background-color: $SANED_BTN_PRIMARY !important;
  }

  .mat-tab-header, .mat-tab-nav-bar {
    border-bottom: 5px solid rgba(0,0,0,.12);
  }
